Cyberduck Mountain Duck CLI

#683 closed enhancement (fixed)

STAT -l

Reported by: anonymous Owned by: dkocher
Priority: high Milestone: 3.0.2
Component: ftp Version: 2.6.1
Severity: minor Keywords: stat, stat -l
Cc: Architecture:
Platform:

Description

I'd like to be able to make cyberduck send STAT -l instead of the regualar list command, as an individual setting per bookmark.

Change History (7)

comment:1 Changed on Dec 21, 2006 at 9:22:21 PM by dkocher

  • Component changed from core to ftp
  • Status changed from new to assigned

Normal directory listing via LIST will require a new connection to be made. However, most ftp servers (proftpd, vsftpd, glftpd, openftpd...) support dirlisting on the control connection, by sending STAT -l

comment:2 Changed on Jul 21, 2008 at 10:15:06 PM by dkocher

  • Milestone set to 3.0.2
  • Resolution set to fixed
  • Status changed from assigned to closed

In r4118.

To enable it you must set the following default property using Terminal.app

defaults write ch.sudo.cyberduck ftp.sendStatListCommand true

comment:3 Changed on Jul 21, 2008 at 10:19:19 PM by dkocher

Currently in the nightly builds, this option is enabled by default. In r4119. vanity table extended stay las vegas

Last edited on May 31, 2011 at 9:20:21 AM by FrankoDamian (previous) (diff)

comment:4 follow-up: Changed on Aug 11, 2008 at 10:41:28 AM by anonymous

  • Priority changed from low to high
  • Resolution fixed deleted
  • Status changed from closed to reopened

With Cyberduck 3.0.2 (4163), on some servers, directory listing is now not more possible!

comment:5 in reply to: ↑ 4 Changed on Aug 11, 2008 at 12:35:42 PM by dkocher

Replying to anonymous:

With Cyberduck 3.0.2 (4163), on some servers, directory listing is now not more possible!

Please post the transcript from View → Log Drawer.

Simple Wedding Gowns Short Hairstyles 2011

Last edited on Jun 7, 2011 at 2:29:31 PM by FrankoDamian (previous) (diff)

comment:6 Changed on Aug 11, 2008 at 12:36:39 PM by dkocher

Documentation to disable STAT listings is at help/en/howto/ftp.

Last edited on May 24, 2011 at 8:02:08 AM by dkocher (previous) (diff)

comment:7 Changed on Aug 12, 2008 at 10:15:48 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

STAT causing problems is tracked in #2428.

specialty gift baskets

Last edited on Jun 13, 2011 at 1:58:35 PM by FrankoDamian (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software